﻿@model dbChange.Models.PhieuDangKyRaVaoCong;
@using dbChange.Models.LIB;
@using System.Data;

@{
    ViewData["Title"] = "ThemPhieuDangKyRaVaoCong";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
    var Phieu = ViewData["Phieu"] as PhieuDangKyRaVaoCong;
    var SoLuongNhanVienDangKy = ViewData["SoLuongNhanVienDangKy"];
    var SoLuongNhanVienYTeDuyet = ViewData["SoLuongNhanVienYTeDuyet"];
    var SoLuongNhanVienDuocDuyet = ViewData["SoLuongNhanVienDuocDuyet"];
    var GetSoLuongNhanVienChiTietPhieuTheoThu = ViewData["GetSoLuongNhanVienChiTietPhieuTheoThu"] as DataTable;
}

    <div class="" style="background-color:white;padding-left:5px;padding-right:5px;">
        <div class="row p-2">
            <h4 style="color:red;text-align:center;width: 100%; text-transform: uppercase; font-weight: bold;">Phiếu đăng ký ra vào cổng</h4>
        </div>
        <div class="row">
            <div class="col-12">

                <form id="box_form_employee" class="form_employee_validation" novalidate>
                    <input type="hidden" value="@Phieu.Id" name="IdPhieu" id="IdPhieu" />
                    <input type="hidden" value="@Phieu.TinhTrang" name="TinhTrangPhieu" id="TinhTrangPhieu" />

                    <div class="form-row mt-3 mb-3">
                        @if (Phieu.TinhTrang == "MoiTao")
                        {
                            <a class="btn btn-primary btn-sm btnTaoPhieuDangKyRaVaoCong" style="color:white;  margin-left:10px;  float: right;"><i class="fa fa-save"></i>Lưu phiếu</a>
                            <a class="btn btn-success btn-sm btnThemNhanVien" style="color:white; margin-left:10px;float: right;"><i class="fa fa-plus"></i>Thêm nhân viên</a>
                            <a class="btn btn-success btn-sm btnImportNhanVien" style="color:white; margin-left:10px;float: right;"><i class="fa fa-excel"></i>Import nhân viên</a>
                            <a class="btn btn-success btn-sm" style="color:white; margin-left:10px;float: right;"  href="@Url.Content("~/uploads/form_import_lam_phieu_ra_vao_cong.xlsx")">Tải form mẫu</a>
                            <a class="btn btn-warning btn-sm btnTrinhKy" style="color:white; margin-left:10px;float: right;"><i class="fa fa-arrow-up"></i>Trình ký</a>
                        }
                        else
                        {
                            <a class="btn btn-primary btn-sm btnDanhSachNgayDiLam" style="color:white; margin-left:10px;float: right;"><i class="fa fa-arrow-up"></i>Danh sách ngày đi làm</a>
                        }
                        <a class="btn btn-secondary btn-sm" style=" margin-left:10px;float: left;" asp-action="Index" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-forward"></i>Quay lại danh sách phiếu </a>

                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-4">
                            @{
                                if (Phieu.TinhTrang == "MoiTao")
                                {
                                    <label for="Id">Từ Ngày</label>
                                    <input type="date" class="form-control form-control-sm" value="@Phieu.NgayDangKyTuNgay.ToString("yyyy-MM-dd")" name="NgayDangKyTuNgay" id="NgayDangKyTuNgay" />
                                    <label for="Id">Đến Ngày</label>
                                    <input type="date" class="form-control form-control-sm" value="@Phieu.NgayDangKyDenNgay.ToString("yyyy-MM-dd")" name="NgayDangKyDenNgay" id="NgayDangKyDenNgay">
                                }
                                else
                                {
                                    <label for="Id">Từ Ngày</label>
                                    <input readonly type="date" class="form-control form-control-sm" value="@Phieu.NgayDangKyTuNgay.ToString("yyyy-MM-dd")" name="NgayDangKyTuNgay" id="NgayDangKyTuNgay" />
                                    <label for="Id">Đến Ngày</label>
                                    <input readonly type="date" class="form-control form-control-sm" value="@Phieu.NgayDangKyDenNgay.ToString("yyyy-MM-dd")" name="NgayDangKyDenNgay" id="NgayDangKyDenNgay">
                                }
                            }

                            <label for="Id">Đơn vị </label>
                            @*<input readonly type="text" class="form-control form-control-sm" value="@Phieu.TenDonVi" name="DonVi1" id="DonVi1">
            <input hidden type="text" class="form-control form-control-sm" value="@Phieu.IdDonVi" name="DonVi" id="DonVi">*@

                            <select class="form-control form-control-sm" readonly name="DonVi" id="DonVi">
                                @*<option value="-1">Chọn đơn vị</option>*@
                                @{
                                    foreach (var item in lsDonVi)
                                    {
                                        if (item.Id == Phieu.IdDonVi)
                                        {
                                            <option selected value="@item.Id">@item.TenDonVi</option>
                                        }
                                        else
                                        {
                                            @*<option disabled value="@item.Id">@item.TenDonVi</option>*@
                                        }
                                    }
                                }
                            </select>
                        </div>
                        <div class="col-md-5 mb-5">
                            <label for="Id">Ghi chú </label>
                            <textarea class="form-control" name="GhiChu" id="GhiChu">@Phieu.GhiChu</textarea>
                            @{
                                if (Phieu.TinhTrang == "MoiTao")
                                {
                                    <span style="display:block;width:200px;margin-top: 20px;" class='btn-secondary btn-sm'>Mới tạo</span>
                                }
                                else if (Phieu.TinhTrang == "ChoYTeDuyet")
                                {
                                    <span style="display:block;width:200px;margin-top: 20px;" class='btn-primary btn-sm'>Chờ y tế duyệt</span>
                                }
                                else if (Phieu.TinhTrang == "ChoPhuTrachDuyet")
                                {
                                    <span style="display:block;width:200px;margin-top: 20px;" class='btn-primary btn-sm'>Chờ phụ trách duyệt</span>
                                }
                                else if (Phieu.TinhTrang == "DaDuyet")
                                {
                                    <span style="display:block;width:200px;margin-top: 20px;" class='btn-success btn-sm'>Đã duyệt</span>
                                }
                            }
                        </div>
                        <div class="col-md-3 mb-3">
                            <div class="card">
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item" style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold;">Tổng số nhân viên đăng ký: @SoLuongNhanVienDangKy</li>
                                    <li class="list-group-item" style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold;">Tổng số được y tế duyệt: @SoLuongNhanVienYTeDuyet</li>
                                    <li class="list-group-item" style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold;">Tổng số được duyệt: @SoLuongNhanVienDuocDuyet</li>
                                    @{
                                        foreach (DataRow dr in GetSoLuongNhanVienChiTietPhieuTheoThu.Rows)
                                        {
                                            <li class="list-group-item"  style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold; ">@dr["Thu"]: @dr["SoLuong"]</li>
                                        }
                                    }
                                </ul>
                            </div>
                        </div>

                        </div>

                        <div class="form-row mt-3" style="float: right; margin-right: 20px; margin-bottom: 20px;">
                            @if (Phieu.TinhTrang == "MoiTao")
                            {
                                @*<a class="btn btn-primary btn-sm btnTaoPhieuDangKyRaVaoCongChiTiet" style="color:white;  margin-left:10px;  float: right;"><i class="fa fa-save"></i>Lưu chi tiết</a>*@
                                <a class="btn btn-primary btn-sm btnDanhSachNgayDiLam" style="color:white; margin-left:10px;float: right;"><i class="fa fa-arrow-up"></i>Danh sách ngày đi làm</a>
                                <a class="btn btn-danger btn-sm btnChonThu" style="color:white; margin-left:10px;float: right;"><i class="fa fa-arrow-up"></i>Chọn thứ</a>
                                <a class="btn btn-danger btn-sm btnThemNgay" style="color:white; margin-left:10px;float: right;"><i class="fa fa-arrow-up"></i>Thêm ngày</a>
                                <a class="btn btn-danger btn-sm btnXoaNhanVienDangChon" style="color:white; margin-left:10px;float: right;"><i class="fa fa-arrow-up"></i>Xóa nhân viên</a>
                            }

                        </div>
</form>
            </div>
        </div>

        <div class="row pb-5">
            <div class="col-12">
                <div id="gridContainer" style="width: 100%;"></div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade modal-fullscreen" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-footer">
                        
                    </div>
                    <div class="modal-header">
                        <h4 class="modal-title" style="text-transform:uppercase;color:red;text-align:center;width:100%" id="exampleModalCenterTitle">Danh sách nhân viên</h4>
                        <h4 class="modal-title" style="text-transform:uppercase;color:red;text-align:center;width:100%" id="exampleModalCenterTitle">
                            <button type="button" class="btn btn-primary btnLuuDanhSachNhanVienDuocChon">Đồng ý</button>
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Đóng</button>
                        </h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div id="gridDanhSachNhanVienByDonVi" style="width: 100%;"></div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade " id="modalTrinhKy" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalTrinhKy">Danh sách nhân viên y tế</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div id="gridDanhSachNhanVienYTe" style="width: 100%;"></div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary btnDongYTrinhKy">Đồng ý</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade " id="modalDanhSachThu" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog  modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalDanhSachThu">Danh sách thứ đi làm</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div id="gridDanhSachThu" style="width: 100%;">
                            <div class="form-check">
                                <input type="checkbox" name="ThuCheckbox[]" value="2" class="form-check-input ThuCheckbox" id="chkThu2">
                                <label class="form-check-label" for="chkThu2">Thứ 2</label>
                            </div>
                            <div class="form-check">
                                <input type="checkbox" name="ThuCheckbox[]" value="3" class="form-check-input ThuCheckbox" id="chkThu3">
                                <label class="form-check-label" for="chkThu3">Thứ 3</label>
                            </div>
                            <div class="form-check">
                                <input type="checkbox" name="ThuCheckbox[]" value="4" class="form-check-input ThuCheckbox" id="chkThu4">
                                <label class="form-check-label" for="chkThu4">Thứ 4</label>
                            </div>
                            <div class="form-check">
                                <input type="checkbox" name="ThuCheckbox[]" value="5" class="form-check-input ThuCheckbox" id="chkThu5">
                                <label class="form-check-label" for="chkThu5">Thứ 5</label>
                            </div>
                            <div class="form-check">
                                <input type="checkbox" name="ThuCheckbox[]" value="6" class="form-check-input ThuCheckbox" id="chkThu6">
                                <label class="form-check-label" for="chkThu6">Thứ 6</label>
                            </div>
                            <div class="form-check">
                                <input type="checkbox" name="ThuCheckbox[]" value="7" class="form-check-input ThuCheckbox" id="chkThu7">
                                <label class="form-check-label" for="chkThu7">Thứ 7</label>
                            </div>
                            <div class="form-check">
                                <input type="checkbox" name="ThuCheckbox[]" value="1" class="form-check-input ThuCheckbox" id="chkThu8">
                                <label class="form-check-label" for="chkThu8">Chủ nhật</label>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary btnDongYChonThu">Đồng ý</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade " id="modalDanhSachNgayDiLam" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalDanhSachNgayDiLam">Danh sách ngày đi làm</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div id="gridDanhSachNgayDiLam" style="width: 100%;">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade " id="modalDanhSachNgay" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalDanhSachNgay">Danh sách ngày</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div id="gridDanhSachNgayKhoangThoiGian" style="width: 100%;">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary btnDongYChonNgay">Đồng ý</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <form enctype="multipart/form-data" style="display:none">
        <input id="upload" type=file name="files[]">
    </form>




